#!/usr/bin/make -f
#
# $Id: Makefile 450 2006-08-07 10:19:59Z cartho $
#

.PHONY: all

# --- programs
TARGETS=`ls *.eps | sed -e 's,\(.*\)\.eps$$,\1.pdf,'`
FIG=fig2dev
EPS2PDF=epstopdf
.SUFFIXES=.eps .pdf

# ---------------------------------------------------------------------

all:
	make $(TARGETS)

# --- generic rules

%.eps: %.fig
	$(FIG) -L eps $*.fig $@

%.pdf: %.eps
	$(EPS2PDF) $*.eps

# --- specific rules

pics: all

clean:	
	rm -f $(TARGETS) *.bak *~
